<template>
  <div :class="className" :style="{height:height,width:width}" />
</template>

<script>
import echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme
import resize from './mixins/resize'

const animationDuration = 6000

export default {
  mixins: [resize],
  props: {
    className: {
      type: String,
      default: 'chart'
    },
    width: {
      type: String,
      default: '100%'
    },
    height: {
      type: String,
      default: '300px'
    },
    chartData: {
      type: Object,
      required: true
    }
  },
  watch: {
    chartData: {
      deep: true,
      handler(val) {
        this.setOptions(val)
      }
    }
  },
  data() {
    return {
      chart: null
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.initChart()
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    initChart() {
      this.chart = echarts.init(this.$el, 'macarons');
      this.chart = echarts.init(this.$el, 'macarons')
      this.setOptions(this.chartData)
    },
      setOptions({ y, x ,data } = {}) {
        console.log(y,x,data,56)
       this.chart.setOption({
         tooltip: {
           trigger: 'axis',
           axisPointer: { // 坐标轴指示器，坐标轴触发有效
             type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
           }
         },

         grid: {
           top: 10,
           left: '2%',
           right: '2%',
           bottom: '3%',
           containLabel: true
         },
         xAxis: [{
           type: 'category',
           // data: y,
           data: ['五保户', '低保户', '贫困户', '党员', '退伍军人' ],
           axisTick: {
             alignWithLabel: true
           },
           axisLine: {   //  控制x轴线的样式
                              lineStyle: {
                                   type: 'solid',
                                  color: '#9BA2B0',
                                   width:'1' }
                                }
         }],
         yAxis: [{
           type: 'value',
           axisTick: {
             show: false
           },
            axisLine: {
                               lineStyle: {
                                    type: 'solid',
                                     color: '#9BA2B0',
                                   width:'1'
                               }
                              }
         }],
         series: [
            {
                 name: '五保户',
                 type: 'bar',
                 barWidth:"30%",
                 data: [6, 3, 5, 2, 1],
                 itemStyle: {
                             normal: {
                 　　　　　　　　//这里是重点
                                 color: function(params) {
                                 	//注意，如果颜色太少的话，后面颜色不会自动循环，最好多定义几个颜色
                                     var colorList = ['#65C6F3','#FFC05C', '#9286F7', '#FB8462', '#84A6F1'];
                                     return colorList[params.dataIndex]
                                 }
                             }
                    }
               }
    // {
    //   // data: [
    //   //   {
    //   //     value: 120,
    //   //     itemStyle: {
    //   //       color: '#5AD9F7'
    //   //     }
    //   //   },
    //   //   {
    //   //     value: 200,
    //   //     itemStyle: {
    //   //       color: '#FFC05C'
    //   //     }
    //   //   },
    //   //   {
    //   //     value: 150,
    //   //     itemStyle: {
    //   //       color: '#9286F7'
    //   //     }
    //   //   },
    //   //   {
    //   //     value: 80,
    //   //     itemStyle: {
    //   //       color: '#FB8462 '
    //   //     }
    //   //   },
    //   //   {
    //   //     name: '退伍军人',
    //   //     value: 80,
    //   //     itemStyle: {
    //   //       color: "#84A6F1"
    //   //     }
    //   //   }

    //   // ],
    //   type: 'bar'
    // }
  ]
       })
      }
  }
}
</script>
